<?php $r="../../";
require_once($r."inc/funciones.php");
validNotSession($r);
$id=$_GET['id'];

$mysqli = connectDB($r);
$spe=$_SESSION['perfil'];

if(viewmultiroleaccess(120)){ 
    echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>NO TIENES PERMISO PARA ESTA SECCION</h6></div>';
    exit();
}



/* FORMULARIO NUEVO */
if(isset($_POST["nuevo"])){
    $nombre=strtoupper($_POST['nombre']);
    if($nombre==""){ 
        echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nombre del Usuario es Obligatorio</h6></div>';
        exit();
    }
    $cedula=$_POST['cedula'];
    if($cedula!=""){
        $qry1 = $mysqli->query("SELECT * FROM z_usuarios WHERE cedula='$cedula' AND eliminado='0'");
        $num1 = $qry1->num_rows;
        if($num1 > 0){ 
            echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Cédula ya existe!</h6></div>';
            exit();
        }
    }else{ 
        echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nit o Cedula es Obligatorio</h6></div>';
        exit();
    }
    $telefono=$_POST['telefono'];
    if($telefono==""){ 
        echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Telefono es Obligatorio</h6></div>';
        exit();
    }
    $correo=strtolower($_POST['correo']);
    if($correo!=""){
        $qry1 = $mysqli->query("SELECT * FROM z_usuarios WHERE correo='$correo'");
        $num1 = $qry1->num_rows;
        if($num1 > 0){ 
            echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Correo electrónico ya existe!</h6></div>';
            exit();
        }
    }else{ 
        echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Correo Electronico es Obligatorio</h6></div>';
        exit();
    }
    $perfil = $_POST['perfil'];
    $nombre=mysqli_real_escape_string($mysqli, $nombre);
    $cedula=mysqli_real_escape_string($mysqli, $cedula);
    $telefono=mysqli_real_escape_string($mysqli, $telefono);
    $correo=mysqli_real_escape_string($mysqli, $correo);
    $perfil=mysqli_real_escape_string($mysqli, $perfil);
    $pass=sha1($cedula);
    $sql="INSERT INTO z_usuarios (cedula, nombre, correo, telefono, contraseña, tipo) VALUES ('$cedula','$nombre','$correo','$telefono','$pass','$perfil')";
    if ($mysqli->query($sql) === TRUE) {
        $mysqli->close();
        echo 'index.php?msn=El usuario '.$nombre.' ha sido a Creado!';
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . $mysqli->error;
        $mysqli->close();
    }
    exit();
}

/* FORMULARIO EDITAR O ACTUALIZAR */
if(isset($_POST["editar"])){
    $id=$_POST['editar'];
    $nombre=strtoupper($_POST['nombre']);
    if($nombre==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nombre del Usuario es Obligatorio</h6></div>';exit();}
    $cedula=$_POST['cedula'];
    if($cedula!=""){
        $qry1 = $mysqli->query("SELECT * FROM z_usuarios WHERE cedula='$cedula' AND eliminado='0'");
        $num1 = $qry1->num_rows;
        if($num1 > 0){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Usuario ya existe!</h6></div>';exit();}
    }else{ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nit o Cedula es Obligatorio</h6></div>';exit();}
    $telefono=$_POST['telefono'];
    if($telefono==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Telefono es Obligatorio</h6></div>';exit();}
    $correo=strtolower($_POST['correo']);
    if($correo!=""){
        $qry1 = $mysqli->query("SELECT * FROM z_usuarios WHERE correo='$correo' AND eliminado='0'");
        $num1 = $qry1->num_rows;
        if($num1 > 0){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Correo electrónico ya existe!</h6></div>';exit();}
    }else{ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Correo Electronico es Obligatorio</h6></div>';exit();}
    $nombre=mysqli_real_escape_string($mysqli, $nombre);
    $cedula=mysqli_real_escape_string($mysqli, $cedula);
    $telefono=mysqli_real_escape_string($mysqli, $telefono);
    $correo=mysqli_real_escape_string($mysqli, $correo);
    if($cedula!=""){$mysqli->query("UPDATE z_usuarios SET cedula='$cedula' WHERE id='$id'");}
    if($nombre!=""){$mysqli->query("UPDATE z_usuarios SET nombre='$nombre' WHERE id='$id'");}    
    if($correo!=""){$mysqli->query("UPDATE z_usuarios SET correo='$correo' WHERE id='$id'");}
    if($telefono!=""){$mysqli->query("UPDATE z_usuarios SET telefono='$telefono' WHERE id='$id'");}
    echo 'index.php?msn=El usuario '.$tipo.' <b>"'.$nombre.'"</b> ha sido actualizado';
    exit();
}

// Reset
elseif(isset($_GET["reset"])) {
    $row1 = $mysqli->query("SELECT * FROM z_usuarios WHERE id='$id'");
    $row1=$row1->fetch_assoc();
    $pass=sha1($row1['cedula']);
    $mysqli->query("UPDATE z_usuarios SET contraseña='$pass' WHERE id='$id'");
    $mysqli->query("UPDATE z_usuarios SET cpass='1' WHERE id='$id'");
    exit(header("Location: index.php?msn=La Contraseña del usuario $tipo <b>".$row1['nombre']."</b> ha sido restaurada!"));
}
// Eliminar
elseif(isset($_GET["eliminar"])) {
    $row1=$mysqli->query("SELECT * FROM z_usuarios WHERE id='$id'");
    $row2=$row1->fetch_assoc();
    $mysqli->query("UPDATE z_usuarios SET eliminado='1' WHERE id='$id'");
    exit(header("Location: index.php?error=El usuario $tipo <b>".$row2['nombre']."</b> ha sido eliminado!"));
}
// Desactivar
elseif(isset($_GET["desactivar"])) {
    $row1 = $mysqli->query("SELECT * FROM z_usuarios WHERE id='$id'");
    $row1=$row1->fetch_assoc();
    $mysqli->query("UPDATE z_usuarios SET estado='0' WHERE id='$id'");
    exit(header("Location: index.php?msn=El usuario $tipo <b>".$row1['nombre']."</b> ha sido desactivado!"));
}
// Activar
elseif(isset($_GET["activar"])) {
    $row1 = $mysqli->query("SELECT * FROM z_usuarios WHERE id='$id'");
    $row1=$row1->fetch_assoc();
    $mysqli->query("UPDATE z_usuarios SET estado='1' WHERE id='$id'");
    exit(header("Location: index.php?msn=El usuario $tipo <b>".$row1['nombre']."</b> ha sido activado!"));
}
?>